Bug 525988 - Review Request: rubygem-systemu - Multi-platform command execution and capture
Summary: Review Request: rubygem-systemu - Multi-platform command execution and capture
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 529605
TreeView+ depends on / blocked
 
Reported: 2009-09-28 04:16 UTC by Matthew Kent
Modified: 2010-09-11 19:42 UTC (History)
3 users (show)

Fixed In Version: 1.2.0-3.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-19 17:45:51 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Matthew Kent 2009-09-28 04:16:00 UTC
Spec URL: http://magoazul.com/wip/SPECS/rubygem-systemu.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-systemu-1.2.0-1.fc12.src.rpm
Description: systemu can be used on any platform to return status, stdout, and stderr of any command.

Modeled the package after rubygem-json.spec and rubygem-rake.spec.

Looking for review and a sponsor as this is my first package submission. Thanks :)

Comment 1 Mamoru TASAKA 2009-09-28 04:28:39 UTC
Would you tell us why you want to add non-gem support (i.e.
create_symlink and so on part) for this package?

Comment 2 Matthew Kent 2009-09-28 05:00:28 UTC
No specific requirement, I assumed it would increase usability of the package.

Comment 3 Matthew Kent 2009-09-29 06:57:29 UTC
(In reply to comment #1)
> Would you tell us why you want to add non-gem support (i.e.
> create_symlink and so on part) for this package?  

Scratch my previous comment, I think it makes sense for this package because it also ships as a .tgz (http://codeforpeople.com/lib/ruby/systemu/systemu-1.2.0.tgz) with it's own installer. 

On that logic I removed non-gem support from my rubygem-extlib submission (#525989).

Comment 4 Mamoru TASAKA 2009-09-29 07:55:38 UTC
Some notes:

* License
  - Add this file (with writting full URL in the spec file)
    http://codeforpeople.com/lib/license.txt
    and include this as %doc.

  - When saying "license same as Ruby's", on Fedora license
    tag should be "GPLv2 or Ruby".

* %define -> %global
  - Now Fedora prefers to use %define instead of %global
    https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define

Comment 5 Matthew Kent 2009-09-30 06:03:48 UTC
Spec URL: http://magoazul.com/wip/SPECS/rubygem-systemu.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-systemu-1.2.0-2.fc12.src.rpm

* Tue Sep 29 2009 Matthew Kent <mkent@magoazul.com> - 1.2.0-2
- Include a copy of the license (#525988).
- Fix license (#525988).
- Use global over define (#525988).

Comment 6 Mamoru TASAKA 2009-09-30 16:07:15 UTC
Okay.

--------------------------------------------------------------
     This package (rubygem-systemu) is APPROVED by mtasaka
--------------------------------------------------------------

Please see bug 525989 for further process.

Comment 7 Mamoru TASAKA 2009-10-05 14:57:24 UTC
(Removing NEEDSPONSOR)

Comment 8 Matthew Kent 2009-10-06 05:54:54 UTC
New Package CVS Request
=======================
Package Name: rubygem-systemu
Short Description: Multi-platform command execution and capture
Owners: mkent
Branches: F-12
InitialCC:

Comment 9 Kevin Fenzi 2009-10-06 17:45:05 UTC
All packages have been mass branched for F-12 already. 

Make sure to do a 'cvs update -d' to pick up new directories from cvs.

Comment 10 Matthew Kent 2009-10-06 19:07:51 UTC
(In reply to comment #9)
> All packages have been mass branched for F-12 already. 
> 
> Make sure to do a 'cvs update -d' to pick up new directories from cvs.  

Apologies if I've confused something in the process here, but this is a new
package. 

I'll try again and include the current release.

Comment 11 Matthew Kent 2009-10-06 19:08:20 UTC
New Package CVS Request
=======================
Package Name: rubygem-systemu
Short Description: Multi-platform command execution and capture
Owners: mkent
Branches: F-11 F-12
InitialCC:

Comment 12 Kevin Fenzi 2009-10-06 19:26:42 UTC
oops. No, it's my fault for not looking closely enough. ;( 

You don't need a F-11 branch if you don't want one. 
Do you want one? Or should I do the request with just F-12/devel?

Comment 13 Matthew Kent 2009-10-06 20:05:09 UTC
(In reply to comment #12)
> oops. No, it's my fault for not looking closely enough. ;( 
> 
> You don't need a F-11 branch if you don't want one. 
> Do you want one? Or should I do the request with just F-12/devel?  

Both please, I probably would have requested one shortly.

Still getting accustomed to this process :)

Same goes for bug 525989.

Comment 14 Kevin Fenzi 2009-10-06 21:25:05 UTC
sorry about that. cvs done.

Comment 15 Mamoru TASAKA 2009-10-09 18:47:02 UTC
Please build this package on koji and For F-11/12 submit push requests
on bodhi.

Comment 16 Matthew Kent 2009-10-09 21:30:02 UTC
Apologies for (In reply to comment #15)
> Please build this package on koji and For F-11/12 submit push requests
> on bodhi.  

Apologies for the delay on the packages I've submitted so far, my local telco has accidentally disconnected my adsl line. Being corrected Oct 13th.

Comment 17 Mamoru TASAKA 2009-10-15 17:19:54 UTC
Please rebuild this package also for F-11/12, and for F-11/12
please submit push requests on bodhi.

Comment 18 Mamoru TASAKA 2009-10-19 17:45:51 UTC
Closing.

Comment 19 Fedora Update System 2009-10-21 00:50:10 UTC
rubygem-systemu-1.2.0-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Michael Stahnke 2010-09-10 20:38:15 UTC
Package Change Request
======================
Package Name: rubygem-systemu
New Branches: el5 el6
Owners: stahnma

mkent is aware of the request.

Comment 21 Kevin Fenzi 2010-09-11 19:42:41 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.